gi-gsk-4.0.9: Gsk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gsk.Objects.BroadwayRenderer

Contents

- Exported types
- Methods
  - new

Description

A Broadway based renderer.

See `Renderer`.

Synopsis

- newtype BroadwayRenderer = BroadwayRenderer (ManagedPtr BroadwayRenderer)
- class (GObject o, IsDescendantOf BroadwayRenderer o) => IsBroadwayRenderer o
- toBroadwayRenderer :: (MonadIO m, IsBroadwayRenderer o) => o -> m BroadwayRenderer
- broadwayRendererNew :: (HasCallStack, MonadIO m) => m BroadwayRenderer

# Exported types

newtype BroadwayRenderer Source #

Memory-managed wrapper type.

Constructors

BroadwayRenderer (ManagedPtr BroadwayRenderer) |

#### Instances

Instances details

Eq BroadwayRenderer Source # |
Instance details Defined in GI.Gsk.Objects.BroadwayRenderer Methods (==) :: BroadwayRenderer -> BroadwayRenderer -> Bool Source # (/=) :: BroadwayRenderer -> BroadwayRenderer -> Bool Source #
GObject BroadwayRenderer Source # |
Instance details Defined in GI.Gsk.Objects.BroadwayRenderer
ManagedPtrNewtype BroadwayRenderer Source # |
Instance details Defined in GI.Gsk.Objects.BroadwayRenderer Methods toManagedPtr :: BroadwayRenderer -> ManagedPtr BroadwayRenderer Source #
TypedObject BroadwayRenderer Source # |
Instance details Defined in GI.Gsk.Objects.BroadwayRenderer Methods glibType :: IO GType Source #
HasParentTypes BroadwayRenderer Source # |
Instance details Defined in GI.Gsk.Objects.BroadwayRenderer
IsGValue (Maybe BroadwayRenderer) Source # | Convert `BroadwayRenderer` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gsk.Objects.BroadwayRenderer Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe BroadwayRenderer -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe BroadwayRenderer) Source #
type ParentTypes BroadwayRenderer Source # |
Instance details Defined in GI.Gsk.Objects.BroadwayRenderer type ParentTypes BroadwayRenderer = '[Renderer, Object]

class (GObject o, IsDescendantOf BroadwayRenderer o) => IsBroadwayRenderer o Source #

Type class for types which can be safely cast to `BroadwayRenderer`, for instance with `toBroadwayRenderer`.

#### Instances

Instances details

(GObject o, IsDescendantOf BroadwayRenderer o) => IsBroadwayRenderer o Source # |
Instance details Defined in GI.Gsk.Objects.BroadwayRenderer

toBroadwayRenderer :: (MonadIO m, IsBroadwayRenderer o) => o -> m BroadwayRenderer Source #

Cast to `BroadwayRenderer`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

bindProperty, bindPropertyFull, forceFloating, freezeNotify, getv, isFloating, isRealized, notify, notifyByPspec, realize, realizeForDisplay, ref, refSink, render, renderTexture, runDispose, stealData, stealQdata, thawNotify, unrealize, unref, watchClosure.

#### Getters

getData, getProperty, getQdata, getSurface.

#### Setters

setData, setDataFull, setProperty.

## new

broadwayRendererNew Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> m BroadwayRenderer | Returns: a new Broadway renderer.

Deprecated: (Since version 4.20)Broadway will be retired in GTK 5

Creates a new Broadway renderer.

The Broadway renderer is the default renderer for the broadway backend. It will only work with broadway surfaces, otherwise it will fail the call to `rendererRealize`.

This function is only available when GTK was compiled with Broadway support.